import csv
from XMLcategory import get_unique_categories
from TagCreator import ai_tagging


XML = input(str("Podaj link do pliku XML:"))

#CountTag = input(str("Podaj tag do iterowania:"))
#CategoryTag = input(str("Podaj tag kategorii produktu:"))
#NameTag = input(str("Podaj tag nazwy produktu:"))
#DescTag = input(str("Podaj tag opisu produktu:"))

selektors = {
    'product_name': "name" ,
    'product_description' : "desc" ,
    'product_category' : "cat"
}


#Selectors = get_unique_tags(XML)
Categories = get_unique_categories (XML, selektors)
#print(Categories)

FinalCat = ai_tagging(Categories)

with open('output.csv', 'w', newline='') as csvfile:
    fieldnames = ['Feed', 'PIM']
    writer = csv.DictWriter(csvfile, fieldnames=fieldnames)
    
    writer.writeheader()
    for key, value in FinalCat.items():
        writer.writerow({'Feed': key, 'PIM': value})

#print(FinalCat)